Bug 1887525 - Failures to set master HardwareDetails cannot easily be debugged
Summary: Failures to set master HardwareDetails cannot easily be debugged
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Zane Bitter
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-12 17:49 UTC by Zane Bitter
Modified: 2021-02-24 15:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:25:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4262 0 None closed Bug 1887525: baremetal: Wait for master-bmh-update script to succeed 2020-11-12 14:45:29 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:25:56 UTC

Description Zane Bitter 2020-10-12 17:49:22 UTC
After creating a baremetal IPI cluster, there is a script to fetch the hardware details for the master nodes from Ironic on the bootstrap host and populate it into the BareMetalHost objects in the cluster. It is essential that this script complete successfully, otherwise the Machine objects will not get IP addresses assigned and thus TLS certificates cannot be issued for them (see bug 1801238). However, currently the installer does not wait for this script to complete before declaring success. While the script is run in a loop until it succeeds, if this has not happened by the time bootkube is complete the installer will destroy the bootstrap node (and all evidence along with it) and exit professing that the cluster is working.

In addition, due to a typo in the fix for bug 1798498, even if installation were to fail the logs for this script are not available.

Comment 5 errata-xmlrpc 2021-02-24 15:25:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.